Subject: Re: [PATCH] push: Provide situational hints for non-fast-forward errors

From: Clemens Buchacher <[email-masked]>
Date: Thu, 15 Mar 2012 09:54:26 +0100

On Wed, Mar 14, 2012 at 03:27:52PM +0100, Zbigniew Jędrzejewski-Szmek wrote:
> On Wed, Mar 14, 2012 at 02:00:38PM +0100, Matthieu Moy wrote:
> > Zbigniew Jędrzejewski-Szmek <[email-masked]> writes:
> > 
> > > I think that having three different config keys for the three
> > > different advices makes sense, because the advices will be displayed
> > > at different times.
> > 
> > I don't think it really makes sense to be such fine-grained. We already
> > have 6 different advices, so an advance user who do not want them need
> > to set these 6 variables. I think we want to keep this number relatively
> > low.
> > 
> > The advice messages do not point explicitely to the way to disable them,
> > so users who know how to set advice.* are users who know a little about
> > configuration files, and who read the docs. 
> 
> Elsewhere in this thread it was proposed to add an actual 'git config'
> command to the advice.

The proposed command does not turn off the advice. It only changes
push.default. The advice about push.default is effectively disabled once
they change push.default, but the other warnings are still in effect.